Installation, Migration 4.0.7 auf PHP 5.5.9 auf 4.1.6

Fragen zur Installation von ConPresso 4 werden in diesem Forum diskutiert.
Crinch
ConPresso-Newbie
Beiträge: 1
Registriert: 19.12.2014 12:01
Hat sich bedankt: 1 Mal

Installation, Migration 4.0.7 auf PHP 5.5.9 auf 4.1.6

Beitrag von Crinch »

Hallo Community,

ich habe vor ein Conpresso 4.0.7 auf einem Ubuntu-Linux mit der PHP Version 5.5.9-1ubuntu4.5, Apache/2.4.7 (Ubuntu) als Zwischenschritt zum Laufen zu bewegen.

Das ursprüngliche System läuft unter PHP Version 5.3.10-1ubuntu3.15 mit Apache/2.4.7 (Ubuntu). Ich habe langfristig vor auf Conpresso 4.1.6 zu wechseln, nachdem ich das alte System, dessen Server sehr zeitnah abgeschaltet wird, erst einmal gerettet habe. Nun zu meinem Problem: Conpresso 4.0.7 lässt sich sowohl in der angepassten und derzeit verwendeten Version als auch als Neuinstallation (http://download.conpresso.de/conpresso-4.0.7.zip) auf dem neuen System mit PHP Version 5.5.9-1ubuntu4.5 nicht 'starten'. MySQL ist auf beiden Systemen Version 14.14 Distrib 5.5.40, for debian-linux-gnu (x86_64) using readline 6.2.

Ich erhalte einen weißen Bildschirm im Browser ohne HTML-Quellcode, welcher dem Debugging dienen könnte. Da das derzeit verwendete (zu migrierende) Conpresso 4.0.7 sehr stark modifiziert ist, bin ich gezwungen diesen Schritt zu gehen und es auf der PHP Version 5.5.9-1ubuntu4.5 laufen zu lassen bevor ich step by step auf 4.1.6 aktualisiere. Gibt es jemanden mit ähnlichen Erfahrungen / Lösungen?

Vielen Dank!
Benutzeravatar
MarkusR
Handbuchversteher
Beiträge: 7115
Registriert: 01.01.1970 02:00
Hat sich bedankt: 102 Mal
Danksagung erhalten: 916 Mal

Re: Installation, Migration 4.0.7 auf PHP 5.5.9 auf 4.1.6

Beitrag von MarkusR »

Crinch hat geschrieben:Gibt es jemanden mit ähnlichen Erfahrungen / Lösungen?
Ja, und die stehen hier alle im Forum.

Du kannst durch ein paar Eingriffe eine 4.0.7 schnell wieder zum Laufen bringen.
Allerdings wird dann ein späteres Upgrade zusätzlich kompliziert, weil dann alle zusätzlichen Modifikationen auch noch geprüft werden müssen.

Wenn Du also zwingend die 4.0.7 am Leben halten willst, dann solltest Du jetzt davon ein Backup machen und dieses bis zum Upgrade aufheben, damit Du damit herausfinden kannst welche Modifikationen übernommen werden müssen.
Ansonsten hast Du ein Problem mit htmlspecialchars() in praktisch ALLEN Dateien sowie ini_set() und import_request_variables() in common.inc.php

Ich habe schon im Auftrag viele Auftritte entweder am Leben erhalten oder mal eben schnell auf 4.1.6 gehoben.
Beides machen zu wollen ist wie gesagt zusätzlicher Aufwand.
Ciao Markus
ConPresso-Module

Kein Support per PN!!! Für Fragen und Diskussionen ist das Forum da!

Succi recentis officinalis
Hochwertige Kräutersäfte und -Öle